Jala 1.3

## Class jala.Form.Component.Date

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Date

class jala.Form.Component.Date
extends jala.Form.Component.Input

Subclass of jala.Form.Component.Input which renders and validates a date editor.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Date (<String> name)` Constructs a new Date component instance

Method Summary
`String` | `checkRequirements(<Object> reqData)` Validates user input from a date editor.
`Date` | `parseValue(<Object> reqData)` Parses the string input from the form and converts it to a date object.
`void` | `renderControls(<Object> attr, <Object> value, <Object> reqData)` Renders a textarea tag to the response.

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength`

Constructor Detail

### jala.Form.Component.Date

    jala.Form.Component.Date(<String> name)

Constructs a new Date component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Date component

Method Detail

### checkRequirements

    String checkRequirements(<Object> reqData)

Validates user input from a date editor.

Parameters:

`reqData` - request data

Returns:

null if everything is ok or string containing error message

### parseValue

    Date parseValue(<Object> reqData)

Parses the string input from the form and converts it to a date object. Throws an error if the string cannot be parsed.

Parameters:

`reqData` - request data

Returns:

parsed date value

### renderControls

    void renderControls(<Object> attr, <Object> value, <Object> reqData)

Renders a textarea tag to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

`reqData` - Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008